<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_4cabd5d7713c3" . "0b34f152bca7e1" . "6cd6c" => base64_decode("bmV3c19mZW" . "Vkcw=="), "_aa7e860da1acd4e767e0df9d7d4073" . "80" => base64_decode("ZGF0ZV9jc" . "mVhdGVk"), "_c0f286e93ebdcaa427" . "b44ec29413392b" => base64_decode("ZmV" . "lZF" . "9rZ" . "Xk="), "_49c48a11" . "3fcc4b94b" . "82e29c74e" . "01e7bd" => base64_decode("ZmVlZF9rZXkgZXE6c3RyO" . "mtleQ=="), "_022eeb17ad2461a772886" . "fe0f5575520" => base64_decode("Y3JlYXRvcg=" . "="), "ti" . "tl" . "e" => base64_decode("dGl0bGU" . "="), "i" . "d" => base64_decode("a" . "W" . "Q" . "="), "chan" . "nels" => base64_decode("Y2hhb" . "m5lbH" . "M="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_49c48a113f" . "cc4b94b82e2" . "9c74e01e7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4cabd5d7713c30" . "b34f152bca7e16c" . "d6c"], $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["tit" . "le"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["channe" . "ls"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c0f286e93ebdcaa427b44ec29413" . "392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_aa7e860da1acd4e767" . "e0df9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_022eeb17ad" . "2461a772886" . "fe0f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}